/// <reference types="core-js" />
import * as moment from 'moment';
import { services } from 'typescript-angular-utilities';
import __timezone = services.timezone;
import { IColumn } from '../../source/components/cardContainer/index';
import { CardContainerBuilderService, ICardContainerInstance } from '../../source/components/cardContainer/builder/index';
import { IDateFilter, IFilterGroup, IModeFilterGroup, IRangeFilterGroup, SelectFilter } from '../../source/components/cardContainer/filters/index';
export interface ICardItem {
    id: number;
    name: string;
    value: number;
    date?: moment.Moment;
}
export declare class CardsBootstrapper {
    alwaysOpen: boolean;
    builder: ICardContainerInstance;
    selectBuilder: ICardContainerInstance;
    searchBuilder: ICardContainerInstance;
    builderWithFilterGroups: ICardContainerInstance;
    builderWithSelectFilter: ICardContainerInstance;
    builderWithDateFilter: ICardContainerInstance;
    options: number[];
    dateFilter: IDateFilter<any>;
    modeFilterGroup: IModeFilterGroup<any>;
    rangeFilterGroup: IRangeFilterGroup<any>;
    disabledFilterGroup: IFilterGroup<any>;
    selectFilter: SelectFilter<any, any>;
    columns: IColumn<ICardItem>[];
    data: ICardItem[];
    constructor(timezone: __timezone.TimezoneService, cardContainerBuilder: CardContainerBuilderService);
    setupCardContainer(cardContainerBuilder: CardContainerBuilderService): ICardContainerInstance;
    setupCardContainerWithFilterGroups(cardContainerBuilder: CardContainerBuilderService): ICardContainerInstance;
    setupCardContainerWithSelectFilter(cardContainerBuilder: CardContainerBuilderService): ICardContainerInstance;
    setupCardContainerWithDateFilter(cardContainerBuilder: CardContainerBuilderService): ICardContainerInstance;
    submitAsync: {
        (data: any): Promise<void>;
    };
}
