/// <reference types="core-js" />
import { Observable } from 'rxjs';
import { IServerSearchParams, IDataResult } from '../../source/components/cardContainer/dataSources/index';
import { CardContainerBuilderService, ICardContainerInstance } from '../../source/components/cardContainer/builder/index';
import { IFilterGroup, IRangeFilterGroup } from '../../source/components/cardContainer/filters/index';
export interface ICardItem {
    id: number;
    name: string;
    value: number;
}
export declare class CardsSmartDataBootstrapper {
    builder: ICardContainerInstance;
    oddsEvensFilter: IFilterGroup<any>;
    rangeFilterGroup: IRangeFilterGroup<any>;
    constructor(cardContainerBuilder: CardContainerBuilderService);
    setupCardContainer(cardContainerBuilder: CardContainerBuilderService): ICardContainerInstance;
    search(params: IServerSearchParams): Observable<IDataResult<ICardItem>>;
    searchOddEven(item: ICardItem, filterValue: string): boolean;
    searchRange(item: ICardItem, option: any): boolean;
    submitAsync: {
        (data: any): Promise<void>;
    };
}
