import { services, filters } from 'typescript-angular-utilities';
import __array = services.array;
import __object = services.object;
import { IServerSearchFunctionOld, IServerSearchParams } from '../asyncTypes';
import { IAsyncDataSource, AsyncDataSource } from '../asyncDataSource.service';
import { IDataSourceProcessorOld } from '../processor/dataSourceProcessorOld.service';
export interface IServerSideDataSource<TDataType> extends IAsyncDataSource<TDataType> {
    filters: filters.ISerializableFilter<any>[];
}
export declare class ServerSideDataSource<TDataType> extends AsyncDataSource<TDataType> {
    private object;
    constructor(getDataSet: IServerSearchFunctionOld<TDataType>, dataSourceProcessor: IDataSourceProcessorOld, array: __array.IArrayUtility, object: __object.IObjectUtility);
    refresh(): void;
    protected getParams(): IServerSearchParams;
    protected resolveReload(result: any): void;
}
