import { services } from 'typescript-angular-utilities';
import __object = services.object;
import __transform = services.transform;
import { IFilterOptionOld, IFilterGroupOld, FilterGroupOld } from '../filterGroupOld.service';
export interface IRangeFilterGroupSettingsOld<TItemType> {
    label: string;
    type: string;
    getValue: {
        (item: TItemType): number;
    } | string;
    options: IRangeFilterOptionSettingsOld[];
}
export interface IRangeFilterOptionSettingsOld {
    label: string;
    highInclusive?: number;
    highExclusive?: number;
    lowInclusive?: number;
    lowExclusive?: number;
}
export interface IRangeFilterOptionOld extends IFilterOptionOld {
    highInclusive?: number;
    highExclusive?: number;
    lowInclusive?: number;
    lowExclusive?: number;
}
export interface IRangeFilterGroupOld extends IFilterGroupOld {
    options: IRangeFilterOptionOld[];
    serialize(): IRangeFilterValueOld;
}
export interface IRangeFilterValueOld {
    highInclusive?: number;
    highExclusive?: number;
    lowInclusive?: number;
    lowExclusive?: number;
}
export declare class RangeFilterGroupOld extends FilterGroupOld implements IRangeFilterGroupOld {
    private getValue;
    transformService: __transform.ITransformService;
    constructor(settings: IRangeFilterGroupSettingsOld<any>, object: __object.IObjectUtility, transformService: __transform.ITransformService);
    serialize(): IRangeFilterValueOld;
    private buildRangeOption(option);
    private isNullOption(option);
}
