import { Observable } from 'rxjs';
import { services } from 'typescript-angular-utilities';
import __notification = services.notification;
import { DialogRootService, IDialogClosingHandler } from './dialogRoot.service';
import { DialogHeaderTemplate, DialogContentTemplate, DialogFooterTemplate } from './templates/index';
import { FormComponent } from '../form/form';
import { AsyncHelper } from '../../services/async/async.service';
import { FormService } from '../../services/form/form.service';
export declare class DialogComponent extends FormComponent {
    onClosing: IDialogClosingHandler;
    autosave: boolean;
    size: string;
    header: DialogHeaderTemplate;
    content: DialogContentTemplate;
    footer: DialogFooterTemplate;
    dialogRoot: DialogRootService;
    dialogId: string;
    constructor(notification: __notification.NotificationService, asyncHelper: AsyncHelper, formService: FormService, dialogRoot: DialogRootService, guidService: services.guid.GuidService);
    isOpen(): boolean;
    open(): void;
    close(): void;
    dismiss(): void;
    submitAndClose: () => Observable<any>;
    wrapOnClosing: IDialogClosingHandler;
}
