import { EventEmitter, AfterViewInit, OnInit, ElementRef } from '@angular/core';
import * as moment from 'moment';
import '../../../../libraries/bootstrap-datetimepicker/index';
import { services } from 'typescript-angular-utilities';
import __object = services.object;
import __array = services.array;
import __guid = services.guid;
import __date = services.date;
import __timezone = services.timezone;
import { ValidatedInputComponent } from '../validationInput';
import { ComponentValidator } from '../../../services/componentValidator/componentValidator.service';
import { FormComponent } from '../../form/form';
export declare class DateTimeComponent extends ValidatedInputComponent<moment.Moment> implements OnInit, AfterViewInit {
    private timezoneService;
    private dateService;
    useDate: boolean;
    useTime: boolean;
    min: string | Date | moment.Moment;
    max: string | Date | moment.Moment;
    minuteStepping: number;
    showClear: boolean;
    clear: EventEmitter<any>;
    datepicker: ElementRef;
    dateinput: ElementRef;
    valueAsString: string;
    validFormat: boolean;
    format: string;
    timezone: __timezone.ITimezone;
    private rendering;
    private touchspin;
    constructor(timezoneService: __timezone.TimezoneService, dateService: __date.DateUtility, rlForm: FormComponent, componentValidator: ComponentValidator, object: __object.ObjectUtility, array: __array.ArrayUtility, guid: __guid.GuidService);
    focus(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onClear(): void;
    private formatDate(value);
    private parseDate(value);
    private getFormatOrDefault();
    private defaultFormat(hasDate, hasTime);
    private setValidity(date);
}
