import { AfterViewInit, TemplateRef } from '@angular/core';
import { services } from 'typescript-angular-utilities';
import __object = services.object;
import __array = services.array;
import __guid = services.guid;
import __transform = services.transform;
import { ValidatedInputComponent } from '../validationInput';
import { ComponentValidator } from '../../../services/componentValidator/componentValidator.service';
import { FormComponent } from '../../form/form';
import { BusyComponent } from '../../busy/busy';
export declare class SelectComponent<T> extends ValidatedInputComponent<T> implements AfterViewInit {
    options: T[];
    transform: __transform.ITransform<T, string>;
    nullOption: string;
    externalTemplate: TemplateRef<any>;
    busy: BusyComponent;
    template: TemplateRef<any>;
    private transformService;
    constructor(transformService: __transform.TransformService, rlForm: FormComponent, componentValidator: ComponentValidator, object: __object.ObjectUtility, array: __array.ArrayUtility, guid: __guid.GuidService);
    ngAfterViewInit(): void;
    select(value: T): void;
    getDisplayName(item: T): string;
}
