import { OnInit, QueryList } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { IColumn } from '../cardContainer/index';
import { CardContainerBuilderService, ICardContainerInstance, ICardContainerSettings } from '../cardContainer/builder/index';
import { CardContentTemplate, CardFooterTemplate } from '../cards/index';
import { ContainerHeaderTemplate, ContainerFooterTemplate, ColumnContentTemplate } from '../cardContainer/templates/index';
import { ColumnHeaderTemplate } from '../cardContainer/templates/columnHeader.template';
export declare class SimpleCardContainer<T> implements OnInit {
    columns: IColumn<T>[];
    options: ICardContainerSettings;
    data: T[];
    data$: BehaviorSubject<T[]>;
    builder: ICardContainerInstance;
    cardContainerBuilder: CardContainerBuilderService;
    containerHeader: ContainerHeaderTemplate;
    containerFooter: ContainerFooterTemplate;
    cardContent: CardContentTemplate;
    cardFooter: CardFooterTemplate;
    columnTemplates: QueryList<ColumnContentTemplate>;
    columnHeaders: QueryList<ColumnHeaderTemplate>;
    constructor(cardContainerBuilder: CardContainerBuilderService);
    ngOnInit(): void;
}
