import { EventEmitter, OnInit } from '@angular/core';
import { services } from 'typescript-angular-utilities';
import __notification = services.notification;
import { SimpleCardListComponent } from './simpleCardList';
import { FormComponent } from '../form/form';
import { AsyncHelper } from '../../services/async/async.service';
import { FormService } from '../../services/form/form.service';
import { CardHeaderTemplate, CardContentTemplate, CardFooterTemplate } from '../cards/index';
export declare class SimpleCardComponent<T> extends FormComponent implements OnInit {
    canOpen: boolean;
    alwaysOpen: boolean;
    saveWhenInvalid: boolean;
    cardType: string;
    onOpen: EventEmitter<void>;
    header: CardHeaderTemplate;
    content: CardContentTemplate;
    footer: CardFooterTemplate;
    showContent: boolean;
    list: SimpleCardListComponent<T>;
    alternatingClass: string;
    constructor(notification: __notification.NotificationService, asyncHelper: AsyncHelper, formService: FormService, guidService: services.guid.GuidService, parentForm: FormComponent, nullInjectionConflictsWithCardParameter: AsyncHelper, list: SimpleCardListComponent<T>);
    ngOnInit(): void;
    toggle(): void;
    open(): void;
    close(): boolean;
    private emptyList();
}
