import { OnInit, AfterViewInit, OnChanges, SimpleChange } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';
import { services } from 'typescript-angular-utilities';
import __validation = services.validation;
import __array = services.array;
import { FormComponent } from '../form/form';
import { ComponentValidator } from '../../services/componentValidator/componentValidator.service';
export interface IGroupChanges {
    [key: string]: SimpleChange;
    model: SimpleChange;
}
export declare class ValidationGroupComponent implements OnInit, AfterViewInit, OnChanges {
    validator: __validation.IObservableValidationHandler;
    validators: __validation.IObservableValidationHandler[];
    model: any;
    groupValidator: ComponentValidator;
    formGroup: FormGroup;
    validationControl: FormControl;
    arrayUtility: __array.IArrayUtility;
    constructor(rlForm: FormComponent, componentValidator: ComponentValidator, arrayUtility: __array.ArrayUtility);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: IGroupChanges): void;
    checkValidity(): void;
}
