import { Subject } from 'rxjs';
import { WindowService } from '../windowWrapper/windowWrapper.service';
import { VisibleBreakpointService } from './visibleBreakpoint.service';
export declare const breakpointServiceName: string;
export declare const RESIZE_DEBOUNCE_MILLISECONDS: number;
export interface IBreakpointService {
    currentBreakpoint: string;
    breakpointChanges: Subject<string>;
    isBreakpoint(breakpoint: string): boolean;
}
export declare class BreakpointService implements IBreakpointService {
    private visibleBreakpoints;
    constructor(visibleBreakpoints: VisibleBreakpointService, windowService: WindowService);
    currentBreakpoint: string;
    breakpointChanges: Subject<string>;
    private getBreakpoint();
    isBreakpoint(breakpoint: string): boolean;
    private updateBreakpoint;
}
